# Installation

### Framework

* [ESX](https://github.com/esx-framework/esx_core)
* [QBCore](https://github.com/qbcore-framework/qb-core)

### Dependencies

<table data-header-hidden><thead><tr><th width="221">Dependency</th><th width="150">Install</th><th width="333.1538461538462">Description</th></tr></thead><tbody><tr><td><strong>Resource</strong></td><td><strong>Install</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/taJZSe9gbq7I2V8tK08b"><code>t1ger_lib</code></a></td><td>Required</td><td>Framework, inventory, target and etc.</td></tr><tr><td><a href="https://github.com/overextended/ox_lib"><code>ox_lib</code></a></td><td>Required</td><td>Context menu, notification etc.</td></tr></tbody></table>

### 1 - Start

{% hint style="info" %}

1. Download your resource from [FiveM's Keymaster](https://keymaster.fivem.net/asset-grants).
2. Unzip `t1ger_gangsystem.zip` folder and place it into your resource folder.
3. Add `ensure t1ger_gangsystem` to your server start config. Make sure to place anywhere below the framework and dependencies resources.
   {% endhint %}

### 2 - SQL

{% hint style="info" %}
Please open **`main.sql`** and execute the queries into your database or import the SQL file directly into your database.
{% endhint %}

### 3 - Items

{% hint style="danger" %}
Make sure to update `t1ger_gangsystem/config.lua` with the respective item names, so that the resource knows what items to use.&#x20;

You can quickly search for `requiredItem` inside the `config.lua` to find the item entries.

If you already have the items below or have similar items, you can skip the installation for items, just make sure to update `config.lua` with your item names.
{% endhint %}

#### ESX

1. Open your database and find the items table.
2. Run the following query to insert items into your table:

```sql
INSERT IGNORE INTO `items` (`name`, `label`) VALUES
('zipties', 'Zip Ties'), -- required item to zip tie target.
('headbag', 'Headbag'), -- required item to put headbag on target.
('cutter', 'Cutter'); -- useable item to cut zip-ties from target.
```

#### QB Core

1. Navigate to `qb-core/shared/items.lua` and open up the file.
2. Insert the following items into this file:

{% code title="Items for qb-core/shared/items.lua" %}

```lua
['zipties'] 				 = {['name'] = 'zipties', 			  	  	['label'] = 'Zip Ties', 			['weight'] = 1, 		['type'] = 'item', 		['image'] = 'zipties.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = true,    ['combinable'] = nil,   ['description'] = 'Required for zip tie hands.'},
['headbag'] 				 = {['name'] = 'headbag', 			  	  	['label'] = 'Headbag', 			        ['weight'] = 1, 		['type'] = 'item', 		['image'] = 'headbag.png', 			['unique'] = false, 	['useable'] = false, 	['shouldClose'] = true,    ['combinable'] = nil,   ['description'] = 'Required to put headbag on a target player.'},
['cutter'] 				 = {['name'] = 'cutter', 			  	  	['label'] = 'Cutter', 			        ['weight'] = 1, 		['type'] = 'item', 		['image'] = 'cutter.png', 			['unique'] = false, 	['useable'] = true, 	['shouldClose'] = true,    ['combinable'] = nil,   ['description'] = 'Useable item to cut zip-ties from a target player.'},
```

{% endcode %}

### 4 - Configuration

{% hint style="info" %}
You must go through **all** configurable options & settings in `config.lua` and configure them to your server's preferences.

Also please read the comments at the end of each line, for a brief information on what the option does.&#x20;
{% endhint %}

### 5 - Ensure Dependencies

{% hint style="info" %}
The required dependencies for this resource can be seen in [#dependencies](#dependencies "mention").

* [x] T1GER Library: [documentation](/resources/t1ger-library.md)
* [x] OX Library: [documentation](https://overextended.github.io/docs/)&#x20;

Make sure to start/ensure these dependencies in your server start config before T1GER Gang System.&#x20;
{% endhint %}

### 6 - Ready

Congratulations, you've successfully installed the resource. Restart the server and you will be all set.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-gang-system/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
